DVBViewerDataservice nicht kompatibel

Hier haben Plugin-Entwickler die Möglichkeit, sich auszutauschen.
Antworten
Benutzeravatar
Siggi
Moderator
Beiträge: 2095
Registriert: 31 Dez 2003, 12:21
Wohnort: Doberlug - Kirchhain

DVBViewerDataservice nicht kompatibel

Beitrag von Siggi » 14 Mai 2010, 12:24

Hallo,

alle, die TV-Browser 3.0 verwenden können nicht mehr den DVBViewer Datenservice verwenden. Dieser ist aktuell nicht kompatibel mit Versio 3.0 Beta2.

Folgender Fehler wird erzeugt:

Code: Alles auswählen

util.exc.TvBrowserException: [PluginLoader.error.2#Could not load plugin C:\Users\Mario Siegmann\TV-Browser\3.0beta2\plugins\DVBViewerDataService.jar.]
	at tvbrowser.core.PluginLoader.loadJavaPlugin(PluginLoader.java:582)
	at tvbrowser.core.PluginLoader.loadPlugin(PluginLoader.java:192)
	at tvbrowser.core.PluginLoader.loadPlugins(PluginLoader.java:455)
	at tvbrowser.core.PluginLoader.loadAllPlugins(PluginLoader.java:491)
	at tvbrowser.TVBrowser.main(TVBrowser.java:389)
Caused by: java.lang.NoClassDefFoundError: tvdataservice/TvDataService
	at java.lang.Class.getDeclaredMethods0(Native Method)
	at java.lang.Class.privateGetDeclaredMethods(Unknown Source)
	at java.lang.Class.getMethod0(Unknown Source)
	at java.lang.Class.getMethod(Unknown Source)
	at tvbrowser.core.PluginLoader.loadJavaPlugin(PluginLoader.java:539)
	... 4 more
Caused by: java.lang.ClassNotFoundException: tvdataservice.TvDataService
	at java.net.URLClassLoader$1.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(Unknown Source)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at java.net.FactoryURLClassLoader.loadClass(Unknown Source)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	... 9 more
Sollte dieser behoben werden, besteht immer noch das Problem, dass der Datenservice den DVBViewer nicht mehr "sieht".

Sollte sich da ein Entwickler finden, wär ich sehr dankbar.

Bis dann.
mfg Siggi

PS: Wer Fehler findet, darf Sie behalten!!! :-)

Kundal

Re: DVBViewerDataservice nicht kompatibel

Beitrag von Kundal » 23 Okt 2010, 23:20

Funktioniert auch mit Version 3.0 RC1 nicht.

Ich wäre auch sehr daran interessiert, daß der DVBViewer Datenservice weiter entwickelt wird.
Für mich fällt deshalb der Umstieg auf Version 3.0 erstmal aus bis das gelöst ist.

Wäre wirklich toll, wenn sich jemand fände der durch die Weiterentwicklung des Plugins (und der anderen DVBViewer-Plugins) dafür sorgt, daß TV-Browser auch weiterhin so fantastisch mit DVBViewer zusammenarbeitet.

Kundal

Re: DVBViewerDataservice nicht kompatibel

Beitrag von Kundal » 25 Apr 2011, 21:11

Auch mit Version 3.0.1 keine Funktion des Plugins.

Da es offenbar niemand weiterentwickeln will meine Frage an die TV-Browser Entwickler:
Wäre es nicht möglich von Seiten des TV-Browsers die Kompatibilität mit dem Plugin wiederherzustellen? Bis Version 2.7.6 hat es gut funktioniert.

Antworten